{
  "name": "frontend",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "dependencies": {
    "@googlemaps/js-api-loader": "^1.16.10",
    "@stripe/connect-js": "^3.3.31",
    "@stripe/react-connect-js": "^3.3.31",
    "@stripe/react-stripe-js": "^3.3.1",
    "@stripe/stripe-js": "^5.2.0",
    "@testing-library/dom": "^10.4.0",
    "@testing-library/jest-dom": "^6.6.3",
    "@testing-library/react": "^16.3.0",
    "@testing-library/user-event": "^13.5.0",
    "@types/node": "^20.0.0",
    "@types/react": "^19.1.8",
    "@types/react-dom": "^19.1.6",
    "axios": "^1.10.0",
    "bootstrap": "^5.3.7",
    "browser-image-compression": "^2.0.2",
    "react": "^19.1.0",
    "react-datepicker": "^9.1.0",
    "react-dom": "^19.1.0",
    "react-router": "^7.12.0",
    "socket.io-client": "^4.8.1",
    "stripe": "^18.4.0",
    "typescript": "^4.9.5"
  },
  "scripts": {
    "start:dev": "vite --mode dev",
    "start:qa": "vite --mode qa",
    "start:prod": "vite --mode prod",
    "build:dev": "vite build --mode dev",
    "build:qa": "vite build --mode qa",
    "build:prod": "vite build --mode prod",
    "preview": "vite preview",
    "test": "vitest run",
    "test:watch": "vitest",
    "test:coverage": "vitest run --coverage"
  },
  "devDependencies": {
    "@types/google.maps": "^3.58.1",
    "@vitejs/plugin-react": "^4.5.0",
    "@vitest/coverage-v8": "^4.0.17",
    "cross-fetch": "^4.1.0",
    "identity-obj-proxy": "^3.0.0",
    "jsdom": "^27.4.0",
    "msw": "^2.11.2",
    "vite": "^7.3.1",
    "vite-tsconfig-paths": "^5.1.4",
    "vitest": "^4.0.17"
  }
}
